<?php

/**
 * HTMLmail template: Default
 *
 *
 * Created: 2007-02-24
 * Last update: 2007-03-13
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

if ( !isset( $template ) ) {
    die();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html;charset=utf-8" />
    <style type="text/css">
      body { background-color: #ffffff; color: #000000; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; margin-left: 4px; margin-right: 4px; margin-top: 6px; margin-bottom: 6px; }
      table.hide { width: 100%; border: solid 0px #ffffff; }
      table.width100 { width: 100%; border: solid 1px #000000; }
      td { font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; padding: 4px; text-align: left; }
      td.nopad { padding: 0px; }
      td.form-title { background-color: #ffffff; color: #000000; font-weight: bold; text-align: left; }
      td.print-spacer { background-color: #ffffff; color: #000000; font-size: 1pt; line-height: 0.1; padding: 0px;}
      td.print { font-size: 8pt; text-align: left; padding: 2px; }
      td.print-category { font-size: 8pt; color: #000000; font-weight: bold; text-align: right; padding: 2px; }
      td.print-bottom { border-bottom: 1px solid #000000; }
      tr.print-category { color: #000000; font-weight: bold; }
      tr.print { vertical-align: top; }
      .center { text-align: center; }
    </style>
    <title><?php echo $template->title ?></title>
  </head>
  <body>
    <br />

    <table class="width100" cellspacing="1">
      <tr>
        <td class="form-title" colspan="6">
          <div class="center"><?php echo config_get( 'window_title' ) ?> - <?php echo $template->project ?></div>
        </td>
      </tr>
      <tr>
        <td class="form-title" colspan="6"><?php echo $template->notification ?></td>
      </tr>

      <tr>
        <td class="print-spacer" colspan="6"><hr size="1" /></td>
      </tr>
      <tr class="print-category">
        <td class="print" width="16%"><?php echo lang_get( 'id' ) ?>:</td>
        <td class="print" width="16%"><?php echo lang_get( 'category' ) ?>:</td>
        <td class="print" width="16%"><?php echo lang_get( 'severity' ) ?>:</td>
        <td class="print" width="16%"><?php echo lang_get( 'reproducibility' ) ?>:</td>
        <td class="print" width="16%"><?php echo lang_get( 'date_submitted' ) ?>:</td>
        <td class="print" width="16%"><?php echo lang_get( 'last_update' ) ?>:</td>
      </tr>
      <tr class="print">
        <td class="print"><?php echo $template->bug->id ?></td>
        <td class="print"><?php echo $template->bug->category ?></td>
        <td class="print"><?php echo $template->bug->severity ?></td>
        <td class="print"><?php echo $template->bug->reproducibility ?></td>
        <td class="print"><?php echo $template->bug->date_submitted ?></td>
        <td class="print"><?php echo $template->bug->last_update ?></td>
      </tr>
      <tr>
        <td class="print-spacer" colspan="6"><hr size="1" /></td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'reporter' ) ?>:</td>
<?php if ( $template->bug->reporter['show_email'] ) { ?>
        <td class="print"><a href="mailto:<?php echo $template->bug->reporter['email'] ?>?subject=<?php echo rawurlencode( $template->bug->summary ) ?>"><?php echo $template->bug->reporter['name'] ?></a></td>
<?php } else { ?>
        <td class="print"><?php echo $template->bug->reporter['name'] ?></td>
<?php } ?>
        <td class="print" colspan="4">&nbsp;</td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'assign_to' ) ?>:</td>
<?php if ( $template->bug->assign_to['show_email'] && $template->bug->assign_to['show'] ) { ?>
        <td class="print"><a href="mailto:<?php echo $template->bug->assign_to['email'] ?>?subject=<?php echo rawurlencode( $template->bug->summary ) ?>"><?php echo $template->bug->assign_to['name'] ?></a></td>
<?php } elseif ( $template->bug->assign_to['show'] ) { ?>
        <td class="print"><?php echo $template->bug->assign_to['name'] ?></td>
<?php } else { ?>
        <td class="print">&nbsp;</td>
<?php } ?>
        <td class="print" colspan="4">&nbsp;</td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'priority' ) ?>:</td>
        <td class="print"><?php echo $template->bug->priority ?></td>
        <td class="print-category"><?php echo lang_get( 'resolution' ) ?>:</td>
        <td class="print"><?php echo $template->bug->resolution ?></td>
        <td class="print" colspan="2">&nbsp;</td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'status' ) ?>:</td>
        <td class="print"><?php echo $template->bug->status ?></td>
        <td class="print-category"><?php echo lang_get( 'product_version' ) ?>:</td>
        <td class="print"><?php echo $template->bug->product_version ?></td>
        <td class="print" colspan="2">&nbsp;</td>
      </tr>
      <tr class="print">
        <td class="print-category">&nbsp;</td>
        <td class="print">&nbsp;</td>
        <td class="print-category"><?php echo lang_get( 'target_version' ) ?>:</td>
        <td class="print"><?php echo $template->bug->target_version ?></td>
        <td class="print" colspan="2">&nbsp;</td>
      </tr>

<?php
foreach( $template->bug->custom_fields as $custom ) {
?>
      <tr>
        <td class="print-category"><?php echo $custom['name'] ?>:</td>
        <td class="print" colspan="4"><?php echo $custom['value'] ?></td>
      </tr>
<?php
}
?>
      <tr>
        <td class="print-spacer" colspan="6"><hr size="1" /></td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'summary' ) ?>:</td>
        <td class="print" colspan="5"><?php echo $template->bug->summary ?></td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'description' ) ?>:</td>
        <td class="print" colspan="5"><?php echo $template->bug->description ?></td>
      </tr>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'additional_information' ) ?>:</td>
        <td class="print" colspan="5"><?php echo $template->bug->additional_information ?></td>
      </tr>
<?php if ( $template->relationships ) { ?>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'bug_relationships' ) ?>:</td>
<?php if ( count( $template->bug->relationships ) > 0 ) { ?>
        <td class="print" colspan="5">
          <table border="0" width="100%" cellpadding="0" cellspacing="1">
<?php foreach( $template->bug->relationships as $t_relation ) { ?>
            <tr>
              <td class="print"><nobr><?php echo $t_relation['relation'] ?></nobr></td>
              <td class="print"><a href="<?php echo $t_relation['bug_url'] ?>"><?php echo bug_format_id( $t_relation['bug_id'] ) ?></a></td>
              <td class="print"><?php echo $t_relation['status'] ?></td>
<?php if ( $t_relation['handler']['show_email'] ) { ?>
              <td class="print"><nobr><a href="mailto:<?php echo $t_relation['handler']['email'] ?>"><?php echo $t_relation['handler']['name'] ?></a></nobr></td>
<?php } else { ?>
              <td class="print"><nobr><?php echo $t_relation['handler']['name'] ?></nobr></td>
<?php } ?>
              <td class="print"><?php echo $t_relation['summary'] ?></td>
            </tr>
<?php } ?>
          </table>
        </td>
<?php } else { ?>
        <td class="print" colspan="5">&nbsp;</td>
<?php } ?>
      </tr>
<?php } ?>
      <tr class="print">
        <td class="print-category"><?php echo lang_get( 'attached_files' ) ?>:</td>
        <td class="print" colspan="5">
<?php foreach( $template->bug->attached_files as $t_file ) {
    echo '          <a href="' . $t_file['url'] . '">' . $t_file['name'] . '</a> (' . $t_file['size'] . ' bytes) <i>' . $t_file['date'] . "</i><br />\n";
} ?>
        </td>
      </tr>
    </table>
<?php include( 'bugnote_tpl.php' ) ?>
<?php include( 'history_tpl.php' ) ?>
  </body>
</html>